Return -ENOTBLK if lookup_device() finds the inode, but it
is not a block device. [Cristoph Hellwig]

--- diff/drivers/md/dm-table.c	2002-11-08 11:55:36.000000000 +0000
+++ source/drivers/md/dm-table.c	2002-11-21 09:59:16.000000000 +0000
@@ -272,7 +272,7 @@
 	}
 
 	if (!S_ISBLK(inode->i_mode)) {
-		r = -EINVAL;
+		r = -ENOTBLK;
 		goto out;
 	}
 
